### Function

# EDataServer xml_parse_file

#### Declaration [src]

    xmlDoc*
    e_xml_parse_file (
      const gchar* filename
    )

#### Description [src]

Reads a local XML file and parses the contents into an XML document structure. If the XML file cannot be read or its contents are malformed, the function returns `NULL`.

This function is not directly available to language bindings.

#### Parameters

`filename`

  Type: `const gchar*`

  Path to an XML file.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `xmlDoc`

An XML document structure, or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.